Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Interface SerializableSchemaComponent

All Known Subinterfaces:
  Particle, UserSchemaComponent

All Known Implementing Classes:
  AbstractParticle, AllCompositor, AttributeDecl, AttributeGroupDecl, AttributeGroupReference, AttributeUse, AttributeWildcard, ChoiceCompositor, Compositor, DigitsFacet, ElementDecl, ElementParticle, ElementWildcard, EnumerationFacet, EnumerationFacetSet, Facet, GroupReference, IdentityConstraint, Key, KeyRef, LengthFacet, MaxLengthFacet, MinLengthFacet, ModelGroupDefinition, Notation, PatternFacet, SequenceCompositor, SimpleTypeDefinition, Unique, UserAtomicType, UserComplexType, UserListType, UserSimpleType, UserUnionType, ValueRangeFacet, WhitespaceFacet, Wildcard

    public interface SerializableSchemaComponent

A component that can be serialized by the SchemaSerializer. Most such components are instances of UserSchemaComponent, but a few, for example Facets, are not.

This code is not yet operative

Field Summary
`static int` | `ALL_COMPOSITOR`
`static int` | `ATOMIC_TYPE`
`static int` | `ATTRIBUTE_DECL`
`static int` | `ATTRIBUTE_GROUP`
`static int` | `ATTRIBUTE_GROUP_REF`
`static int` | `ATTRIBUTE_USE`
`static int` | `ATTRIBUTE_WILDCARD`
`static int` | `CHOICE_COMPOSITOR`
`static int` | `COMPLEX_TYPE`
`static int` | `ELEMENT_DECL`
`static int` | `ELEMENT_PARTICLE`
`static int` | `ELEMENT_WILDCARD`
`static int` | `FACET`
`static int` | `KEY`
`static int` | `KEYREF`
`static int` | `LIST_TYPE`
`static int` | `MODEL_GROUP`
`static int` | `MODEL_GROUP_REF`
`static int` | `NOTATION`
`static int` | `SEQUENCE_COMPOSITOR`
`static int` | `UNION_TYPE`
`static int` | `UNIQUE`

Method Summary
`int` | `getComponentTypeCode()` Get a unique number identifying the type of component
`void` | `serialize(SchemaSerializer serializer)` Serialize the schema component

Field Detail

### ELEMENT_DECL

    static final int ELEMENT_DECL

See Also:
  Constant Field Values

### ATTRIBUTE_DECL

    static final int ATTRIBUTE_DECL

See Also:
  Constant Field Values

### COMPLEX_TYPE

    static final int COMPLEX_TYPE

See Also:
  Constant Field Values

### ATOMIC_TYPE

    static final int ATOMIC_TYPE

See Also:
  Constant Field Values

### LIST_TYPE

    static final int LIST_TYPE

See Also:
  Constant Field Values

### UNION_TYPE

    static final int UNION_TYPE

See Also:
  Constant Field Values

### FACET

    static final int FACET

See Also:
  Constant Field Values

### ATTRIBUTE_GROUP

    static final int ATTRIBUTE_GROUP

See Also:
  Constant Field Values

### ATTRIBUTE_GROUP_REF

    static final int ATTRIBUTE_GROUP_REF

See Also:
  Constant Field Values

### ATTRIBUTE_USE

    static final int ATTRIBUTE_USE

See Also:
  Constant Field Values

### ELEMENT_PARTICLE

    static final int ELEMENT_PARTICLE

See Also:
  Constant Field Values

### ELEMENT_WILDCARD

    static final int ELEMENT_WILDCARD

See Also:
  Constant Field Values

### ATTRIBUTE_WILDCARD

    static final int ATTRIBUTE_WILDCARD

See Also:
  Constant Field Values

### ALL_COMPOSITOR

    static final int ALL_COMPOSITOR

See Also:
  Constant Field Values

### CHOICE_COMPOSITOR

    static final int CHOICE_COMPOSITOR

See Also:
  Constant Field Values

### SEQUENCE_COMPOSITOR

    static final int SEQUENCE_COMPOSITOR

See Also:
  Constant Field Values

### MODEL_GROUP

    static final int MODEL_GROUP

See Also:
  Constant Field Values

### MODEL_GROUP_REF

    static final int MODEL_GROUP_REF

See Also:
  Constant Field Values

### KEY

    static final int KEY

See Also:
  Constant Field Values

### UNIQUE

    static final int UNIQUE

See Also:
  Constant Field Values

### KEYREF

    static final int KEYREF

See Also:
  Constant Field Values

### NOTATION

    static final int NOTATION

See Also:
  Constant Field Values

Method Detail

### serialize

    void serialize(SchemaSerializer serializer)
                   throws IOException

  Serialize the schema component

  This code is not yet operative

  Throws:
    `IOException`

### getComponentTypeCode

    int getComponentTypeCode()

  Get a unique number identifying the type of component

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.